<!DOCTYPE html> 

<html xmlns:th="http://www.thymeleaf.org">
<head>
	<title>Projektportfolioportal TOSE Litschi</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />  
	<link rel="stylesheet" href="/css/bootstrap.css">
	<link rel="stylesheet" href="/css/basic.css">
</head>

<body>

<nav th:replace="fragments/menu :: menu"></nav>

<div class="container">

<label for="state">Status:</label>
<select name="state" id="state">
	<option value="0">Alle</option>
	<option th:each="status : ${statuss}" th:value="${status.id}" th:text="${status.name}" th:selected="${status.id == selstatus}">
</select>

<table class="table table-striped table-dark table-hover">
  <thead>
    <tr>
      <th scope="col"><a class="sort" title="sort by name" href="/?sort=name">Name</a></th>
      <th scope="col"><a class="sort" title="sort by status" href="/?sort=status">Status</a></th>
      <th scope="col"><a class="sort" title="sort by starttermin" href="/?sort=starttermin">Starttermin</a></th>
      <th scope="col"><a class="sort" title="sort by endtermin" href="/?sort=endtermin">Endtermin</a></th>
      <th scope="col">Kosten</th>
      <th scope="col">Tage</th>
      <th scope="col">Optionen</th>
    </tr>
  </thead>
  <tbody>
    <tr th:each="project : ${projects}">
      <td><a class="table-link" href="" th:href="${'/project?id=' + project.getId()}" th:text="${project.getName()}">Ding 1</a></td>
      <td><a class="table-link" href="" th:href="${'/project?id=' + project.getId()}" th:text="${project.getStateName()}">1</a></td>
      <td><a class="table-link" href="" th:href="${'/project?id=' + project.getId()}" th:text="${project.getStartdate()}">@mdo</a></td>
       <td><a class="table-link" href="" th:href="${'/project?id=' + project.getId()}" th:text="${project.getEnddate()}">@mdo</a></td>
      <td>
      		<span class="balken" th:attr="data-total=${project.getCosts()}, data-used=${project.getGebraucht()}"></span> 
      </td>
      <td>
      		<span class="balken" th:attr="data-total=${project.getTage()}, data-used=${(project.getTage() - project.getResttage())}"></span> 
      </td>
      <td>
      		<a class="btn btn-outline-secondary" href="" th:href="${'/project/delete?id=' + project.getId()}">Löschen</a> 
      </td>
    </tr>
  </tbody>
</table>

</div>

<div th:replace="fragments/footer :: scripts"></div>

</body>
</html>